/*
 * Class ISE_EXCEPTION_MANAGER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_52 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_52 [] = {0xFF01,237,51,0xFFFF};
static const EIF_TYPE_INDEX egt_2_52 [] = {0xFF01,51,0xFFFF};
static const EIF_TYPE_INDEX egt_3_52 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_52 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_52 [] = {0xFF01,51,0xFFFF};
static const EIF_TYPE_INDEX egt_6_52 [] = {0xFF01,51,0xFFFF};
static const EIF_TYPE_INDEX egt_7_52 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_52 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_52 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_52 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_52 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_52 [] = {0xFF01,51,0xFFFF};
static const EIF_TYPE_INDEX egt_13_52 [] = {237,0xFF01,63,0xFFFF};
static const EIF_TYPE_INDEX egt_14_52 [] = {0xFFF9,11,174,206,206,206,0xFF01,220,0xFF01,220,0xFF01,220,0xFF01,220,0xFF01,220,0xFF01,220,206,191,0xFFFF};
static const EIF_TYPE_INDEX egt_15_52 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_16_52 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_17_52 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_18_52 [] = {0xFF01,275,0xFFF9,11,174,206,206,206,0xFF01,220,0xFF01,220,0xFF01,220,0xFF01,220,0xFF01,220,0xFF01,220,206,191,0xFFFF};
static const EIF_TYPE_INDEX egt_19_52 [] = {0xFF01,275,63,0xFFFF};
static const EIF_TYPE_INDEX egt_20_52 [] = {0xFF01,275,0xFF01,82,0xFFFF};


static const struct desc_info desc_52[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_52), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_52), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_52), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_52), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_52), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_52), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_52), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_52), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_52), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_52), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_52), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_52), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x67 /*51*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_52), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x7F /*63*/), 1122, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1123, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1124, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1125, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1126, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1128, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1129, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1130, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_52), 1131, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x7F /*63*/), 1132, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_52), 1133, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1135, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_52), 1136, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_52), 1137, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_52), 1138, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1139, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_52), 1140, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_52), 1141, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_52), 1142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x7F /*63*/), 1143, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1144, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1145, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1146, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1148, 0xFFFFFFFF},
};
void Init52(void)
{
	IDSC(desc_52, 0, 51);
	IDSC(desc_52 + 1, 1, 51);
	IDSC(desc_52 + 32, 290, 51);
	IDSC(desc_52 + 43, 28, 51);
}


#ifdef __cplusplus
}
#endif
